Subject: Question string_client.pack and game missions
Description

In the PC and linux version of the client uses a file called "string_client.pack which is a binary of a whole heap of object sitems &  ID's
and mission texts and such.
This file can become corrupt for whatever reason and in a lot of support issues a deletion of this file is a standard fix, as the game
rebuilds it on the next login.
So question:
1. Does this file exist in the Mac version or does the client look for the raw data in the bnp files? this may explain lag issues and
lockups.
2. If it does exist .. where is it? and if its in a hidden directory could someone please explain/document a proceedure to unhide it and
delete it.

This could help to resolve a building list of mysterious mission and quest issues we are receiveing from Mac players.

Thanks in advance
Mokoi (CSR)
SGM Arispotle

History
#1 - 11/04/2011 08:23 am - mokoi

A typical log.log file reveals this file is missing

2011/08/03 20:44:24 WRN 1884576960 <Unknown> path.cpp 516 lookup : PATH: File (classificationtype_words_en.txt) not found
(classificationtype_words_en.txt)
2011/08/03 20:44:24 WRN 1884576960 <Unknown> file.cpp 265 open : Failed to open file './save/string_client.pack', error 2 : No such file or directory

#2 - 11/15/2011 10:10 am - vl
- Category set to OS: Mac
- Status changed from New to Resolved
- Assignee set to vl

Yes the file exists on Mac, it s in:

~/Library/Application Support/Ryzom/save/string_client.pack

#3 - 04/09/2012 10:22 am - kervala
- Status changed from Resolved to Closed
- Target version set to Version 0.9.0
